Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.initialization
Class BaseSettings

    java.lang.Object
      org.gradle.initialization.BaseSettings

All Implemented Interfaces:
  Settings, org.gradle.api.internal.SettingsInternal

    public class BaseSettings

extends java.lang.Object
implements org.gradle.api.internal.SettingsInternal

Field Summary
`static java.lang.String` | `DEFAULT_BUILD_SRC_DIR`

Fields inherited from interface org.gradle.api.initialization.Settings
`BUILD_DEPENDENCIES_GROUP, BUILD_DEPENDENCIES_NAME, BUILD_DEPENDENCIES_VERSION, DEFAULT_SETTINGS_FILE`

Constructor Summary
`protected` | `BaseSettings()`
`` | `BaseSettings(IProjectDescriptorRegistry projectDescriptorRegistry, BuildSourceBuilder buildSourceBuilder, java.io.File settingsDir, ScriptSource settingsScript, StartParameter startParameter)`

Method Summary
`java.net.URLClassLoader` | `createClassLoader()`
`DefaultProjectDescriptor` | `createProjectDescriptor(DefaultProjectDescriptor parent, java.lang.String name, java.io.File dir)`
`DefaultProjectDescriptor` | `findProject(java.io.File projectDir)` Returns the project with the given project directory.
`DefaultProjectDescriptor` | `findProject(java.lang.String path)` Returns the project with the given path.
`java.util.Map<java.lang.String,java.lang.Object>` | `getAdditionalProperties()`
`BuildSourceBuilder` | `getBuildSourceBuilder()`
`protected org.gradle.api.internal.DynamicObjectHelper` | `getDynamicObjectHelper()`
`IProjectDescriptorRegistry` | `getProjectDescriptorRegistry()`
`org.gradle.api.internal.project.IProjectRegistry<DefaultProjectDescriptor>` | `getProjectRegistry()`
`java.io.File` | `getRootDir()` Returns the root directory of the build.
`ProjectDescriptor` | `getRootProject()` Returns the root project of the build.
`java.io.File` | `getSettingsDir()` Returns the settings directory of the build.
`ScriptSource` | `getSettingsScript()`
`StartParameter` | `getStartParameter()` Returns the set of parameters used to invoke this instance of Gradle.
`void` | `include(java.lang.String[] projectPaths)` Adds the given projects to the build.
`void` | `includeFlat(java.lang.String[] projectNames)` Adds the given projects to the build.
`DefaultProjectDescriptor` | `project(java.io.File projectDir)` Returns the project with the given project directory.
`DefaultProjectDescriptor` | `project(java.lang.String path)` Returns the project with the given path.
`void` | `setBuildSourceBuilder(BuildSourceBuilder buildSourceBuilder)`
`void` | `setProjectDescriptorRegistry(IProjectDescriptorRegistry projectDescriptorRegistry)`
`void` | `setRootProjectDescriptor(DefaultProjectDescriptor rootProjectDescriptor)`
`void` | `setSettingsDir(java.io.File settingsDir)`
`void` | `setSettingsScript(ScriptSource settingsScript)`
`void` | `setStartParameter(StartParameter startParameter)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_BUILD_SRC_DIR

    public static final java.lang.String DEFAULT_BUILD_SRC_DIR

See Also:
  Constant Field Values

Constructor Detail

### BaseSettings

    protected BaseSettings()

### BaseSettings

    public BaseSettings(IProjectDescriptorRegistry projectDescriptorRegistry,
                        BuildSourceBuilder buildSourceBuilder,
                        java.io.File settingsDir,
                        ScriptSource settingsScript,
                        StartParameter startParameter)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createProjectDescriptor

    public DefaultProjectDescriptor createProjectDescriptor(DefaultProjectDescriptor parent,
                                                            java.lang.String name,
                                                            java.io.File dir)

### findProject

    public DefaultProjectDescriptor findProject(java.lang.String path)

  Description copied from interface: `Settings`

  Returns the project with the given path.

  Specified by:
    `findProject` in interface `Settings`
  Parameters:
    `path` - The path
  Returns:
    The project with the given path. Returns null if no such project exists.

### findProject

    public DefaultProjectDescriptor findProject(java.io.File projectDir)

  Description copied from interface: `Settings`

  Returns the project with the given project directory.

  Specified by:
    `findProject` in interface `Settings`
  Parameters:
    `projectDir` - The project directory.
  Returns:
    The project with the given project directory. Returns null if no such project exists.

### project

    public DefaultProjectDescriptor project(java.lang.String path)

  Description copied from interface: `Settings`

  Returns the project with the given path.

  Specified by:
    `project` in interface `Settings`
  Parameters:
    `path` - The path.
  Returns:
    The project with the given path. Never returns null.

### project

    public DefaultProjectDescriptor project(java.io.File projectDir)

  Description copied from interface: `Settings`

  Returns the project with the given project directory.

  Specified by:
    `project` in interface `Settings`
  Parameters:
    `projectDir` - The project directory.
  Returns:
    The project with the given project directory. Never returns null.

### include

    public void include(java.lang.String[] projectPaths)

  Description copied from interface: `Settings`

  Adds the given projects to the build. Each path in the supplied list is treated as the path of a project to add to the build. Note that these path are not file paths, but instead specify the location of the new project in the project heirarchy. As such, the supplied paths must use the ':' character as separator.

  The last element of the supplied path is used as the project name. The supplied path is converted to a project directory relative to the root project directory.

  As an example, the path `a:b` adds a project with path `:a:b`, name `b` and project directory `$rootDir/a/b`.

  Specified by:
    `include` in interface `Settings`
  Parameters:
    `projectPaths` - the projects to add.

### includeFlat

    public void includeFlat(java.lang.String[] projectNames)

  Description copied from interface: `Settings`

  Adds the given projects to the build. Each name in the supplied list is treated as the name of a project to add to the build.

  The supplied name is converted to a project directory relative to the parent directory of the root project directory.

  As an example, the name `a` add a project with path `:a`, name `a` and project directory `$rootDir/../a`.

  Specified by:
    `includeFlat` in interface `Settings`
  Parameters:
    `projectNames` - the projects to add.

### createClassLoader

    public java.net.URLClassLoader createClassLoader()

  Specified by:
    `createClassLoader` in interface `org.gradle.api.internal.SettingsInternal`

### getRootProject

    public ProjectDescriptor getRootProject()

  Description copied from interface: `Settings`

  Returns the root project of the build.

  Specified by:
    `getRootProject` in interface `Settings`
  Returns:
    The root project. Never returns null.

### setRootProjectDescriptor

    public void setRootProjectDescriptor(DefaultProjectDescriptor rootProjectDescriptor)

### getRootDir

    public java.io.File getRootDir()

  Description copied from interface: `Settings`

  Returns the root directory of the build. The root directory is the project directory of the root project.

  Specified by:
    `getRootDir` in interface `Settings`
  Returns:
    The root directory. Never returns null.

### getBuildSourceBuilder

    public BuildSourceBuilder getBuildSourceBuilder()

### setBuildSourceBuilder

    public void setBuildSourceBuilder(BuildSourceBuilder buildSourceBuilder)

### getStartParameter

    public StartParameter getStartParameter()

  Description copied from interface: `Settings`

  Returns the set of parameters used to invoke this instance of Gradle.

  Specified by:
    `getStartParameter` in interface `Settings`
  Specified by:
    `getStartParameter` in interface `org.gradle.api.internal.SettingsInternal`
  Returns:
    The parameters. Never returns null.

### setStartParameter

    public void setStartParameter(StartParameter startParameter)

### getSettingsDir

    public java.io.File getSettingsDir()

  Description copied from interface: `Settings`

  Returns the settings directory of the build. The settings directory is the directory containing the settings file.

  Specified by:
    `getSettingsDir` in interface `Settings`
  Returns:
    The settings directory. Never returns null.

### setSettingsDir

    public void setSettingsDir(java.io.File settingsDir)

### getSettingsScript

    public ScriptSource getSettingsScript()

  Specified by:
    `getSettingsScript` in interface `org.gradle.api.internal.SettingsInternal`

### setSettingsScript

    public void setSettingsScript(ScriptSource settingsScript)

### getProjectDescriptorRegistry

    public IProjectDescriptorRegistry getProjectDescriptorRegistry()

### setProjectDescriptorRegistry

    public void setProjectDescriptorRegistry(IProjectDescriptorRegistry projectDescriptorRegistry)

### getAdditionalProperties

    public java.util.Map<java.lang.String,java.lang.Object> getAdditionalProperties()

### getDynamicObjectHelper

    protected org.gradle.api.internal.DynamicObjectHelper getDynamicObjectHelper()

### getProjectRegistry

    public org.gradle.api.internal.project.IProjectRegistry<DefaultProjectDescriptor> getProjectRegistry()

  Specified by:
    `getProjectRegistry` in interface `org.gradle.api.internal.SettingsInternal`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD